dpkg-scanpackages(1)

NOME
dpkg-scanpackages - cria ficheiros de índices Packages

RESUMO
dpkg-scanpackages [option...] binary-path [override-file [path-prefix]] > Packages

DESCRIÇÃO
dpkg-scanpackages ordena entre uma árvore de pacotes binários Debian e caria um ficheiro Packages, usado por apt(8), dselect(1), etc, para dizer ao utilizador que pacotes estão disponíveis para instalação. Estes ficheiros Packages são os mesmo que aqueles encontrados em sites de arquivos Debian e discos de media. Você próprio pode usar dpkg-scanpackages se pretender criar um directório local de pacotes para instalar num grupo de máquinas.

Nota: Se você pretende aceder ao ficheiro Packages gerado com o apt(8) vai provavelmente precisar de comprimir o ficheiro com xz(1) (gerando um ficheiro Packages.xz), bzip2(1) (gerando um ficheiro Packages.bz2) ou gzip(1) (gerando um ficheiro Packages.gz ). O apt(8) ignora ficheiros Packages não comprimidos excepto em acesso local (isto é, fontes file://).

binary-path é o nome da árvore dos pacotes binários a processar (por exemplo, contrib/binary-i386). É melhor tornar isto relativo à raiz do arquivo Debian, porque cada campo Filename no novo ficheiro Packages irá começar com esta string.

override-file é o nome de um ficheiro a ler o qual contem informação acerca de como o pacote encaixa na distribuição (o ficheiro pode estar comprimido desde dpkg 1.15.5); veja deb-override(5).

prefixo-caminho é um string opcional a ser precedida aos campos Filename.

Se for encontrada mais do que uma versão de um pacote, apenas a mais recente é incluída no resultado. Se estes tiverem a mesma versão e apenas diferirem na arquitectura, é usado apenas o primeiro encontrado.

OPÇÕES

-t, --type type
    Sonda por pacotes *.tipo, em vez de *.deb.

-e, --extra-override file
    Sonda o file para encontrar sobreposições suplementares (o ficheiro pode ser comprimido desde o dpkg 1.15.5). Veja deb-extra-override(5) para mais informações sobre este formato.

-a, --arch arch
    Use a pattern consisting of *_all.deb and *_arch.deb, or *_arch.deb if --no-implicit-arch has been specified, instead of scanning for all debs.

--no-implicit-arch
    Do not implicitly add architecture all binary packages when specifying --arch.

    Supported since dpkg 1.23.6.

-h, --hash hash-list
    Apenas gera cinzas de ficheiros para a lista especificada, especificada-por-vírgulas, (desde dpkg 1.17.14). A predefinição é gerar todos os hashes actualmente suportados. Valores suportados: md5, sha1, sha256.

-m, --multiversion
    Inclui todos os pacotes encontrados no resultado.

-M, --medium id-string
    Adiciona um campo X-Medium que contém o valor string-id (desde dpkg 1.15.5). Este campo é necessário se desejar gerar ficheiros Packages.cd para serem usados pelo método de acesso media do dselect.

-?, --help
    Mostra a mensagem de utilização e termina.

--version
    Mostra a versão e termina.

AMBIENTE

DPKG_COLORS
    Define o modo de cor (desde dpkg 1.18.5). Os valores actualmente aceites são: auto (predefinido), always e never.

DPKG_NLS
    Se definida, será usada para decidir se deve activar o Suporte a Linguagem Nativa. Também como conhecido como suporte de internacionalização (ou i18n) (desde dpkg 1.19.0). Os valores aceites são 0 e 1 (predefinição).

DIAGNÓSTICO
dpkg-scanpackages gera os erros auto-explicativos usuais. Também avisa acerca de pacotes que estão no sub-directório errado, estão duplicados, têm um campo Filename no seu ficheiro de controle, estão em falta no ficheiro de sobreposições, ou têm substituições do maintainer as quais não tomam efeito.

VEJA TAMBÉM
dpkg(1), dselect(1), deb-override(5), deb-extra-override(5), dpkg-scansources(1).

TRADUÇÃO
Américo Monteiro

Se encontrar algum erro na tradução deste documento, por favor comunique para Américo Monteiro <a_monteiro@gmx.com>.